Update a channel
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
Update the name, color and/or assigned objects of a single channel on an event.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/events/{eventKey}/channels/{channelKey}
$this->seatsioClient->events->channels->update(
$event->key,
"channelKey1",
"channel 1", // the channel name
"#FFFF98", // the channel color
["A-1", "A-2"], // the channel objects
["GA1" => 100] // area places: area label => number of places
);
await Client.Events.Channels.UpdateAsync(
event1.Key,
"channelKey1",
"channel 1", // the channel name
"#FFFF98", // the channel color
new[] {"A-1", "A-2"}, // the channel objects
new Dictionary<string, int> { { "GA1", 100 } } // area places: area label => number of places
);
client.events.channels.update(
event.key,
"channelKey1",
"channel Name 1", // the channel name
"#00FF00", // the channel color
Set.of("A-1", "A-2"), // the channel objects
Map.of("GA1", 100) // area places: area label => number of places
);
client.events.channels.update(
event.key,
'channelKey1',
'channel 1', # the channel name
'#FFFF98', # the channel color
['A-1', 'A-2'], # the channel objects
area_places={'GA1': 100} # area places: area label => number of places
)
client.events.channels.update event_key: event.key,
channel_key: "channelKey1",
channel_name: 'channel 1',
channel_color: "#FFFF98",
objects: ['A-1', 'A-2'],
area_places: { 'GA1' => 100 } # area label => number of places
await client.events.channels.update(
event.key,
'channelKey1',
'channel 1', // the channel name
'#FFFF98', // the channel color
['A-1', 'A-2'], // the channel objects
{ GA1: 100 } // area places: area label => number of places
)
updateParams := events.UpdateChannelParams{
Name: "channel 1",
Color: "#1E1E1E",
Objects: []string{"A-1", "A-2"},
AreaPlaces: map[string]int{"GA1": 100}, // area label => number of places
}
err := client.Channels.Update(context.Background(), event.Key, "channelKey1", updateParams)
Example request body
{
"name": "Channel 1",
"color": "#ED303D",
"objects": ["A-1", "A-2"],
"areaPlaces": { "GA1": 100 }
}
The request body should be a JSON object with at least one of these properties:
nameneeds to be unique across the event.colorneeds to be a valid css color; color is used in the Event Manager, to be able to distinguish different channels. End users (ticket buyers) will not get to see the channel by color.objectsthe object labels of the objects that need to be assigned to this channel. Replaces the previous list of objects. GA areas listed here are assigned as a whole.areaPlacesa map of GA area label to the number of places within that area to assign to this channel. Replaces the previous area places configuration. A GA area cannot appear in bothobjectsandareaPlaces. See General Admission Area Places on Channels.
Not specifying a property (or passing in null) in the request means its value will stay the same. That way you can use this endpoint to, for example, just update the name without touching object assignments.
Note that you cannot use this endpoint for events that are part of a season. Manage the list of channels at the season level instead.
The specified objects will be un-assigned from any previous channels.
That means that if seat A-1 is already assigned to channelA, and you update channelB so that it gets A-1 assigned to it, it will no longer be assigned to channelA and only be assigned to channelB.
Response
204 - No Content